#ifndef COMMSER_H
#define COMMSER_H

#include "Arduino.h"
#include "Ticker.h" //调用Ticker.h库
#include "FoodDeliveryBase.h"
#include "config.h"

extern void mqtt_receiveCallback(char *topic, byte *payload, unsigned int length);
extern void pubThread();
extern void refreshRequest();
extern void writeRoute(String topicStr);
extern void mavlink_receiveCallback(uint8_t c);
extern const String topicPub[];
extern const int topicPubCount;
extern String topicPubMsg[];
extern String oldMsg[];
extern String topicHandle[];
extern FoodCube fc;		 // 创建项目对象
extern Ticker pubTicker; // 定时发布主题 线程
extern Ticker mavTicker; // 定时 指定飞控mavlink 串口返回的数据类别 防止飞控启动滞后
#endif